Create Family Member

Use this API to add a family member under a retail primary client.

This API supports two onboarding paths:

  • create a new linked customer for the family member
  • link an existing active person customer by linkCustomerId

To create a new linked customer for the family member, isCreateCustomer must be true. If isCreateCustomer is false, no new customer is created.

When linkCustomerId is provided:

  • the existing linked customer must be an active PERSON
  • the existing linked customer cannot already be linked as a family member
  • the existing linked customer cannot already belong to another primary client

Linked customer lifecycle:

  • under 18: a newly created linked customer is activated automatically
  • 18 and above: a newly created linked customer remains pending until standard retail verification is completed
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

The Id of the primary client.
Example: 3

Body Params
integer
required

The identifier of an existing active person customer to link as the family member.
Example: 8

integer
required

The relationship identifier between the primary client and the family member. Use an id from Get Person Customer Template relationshipIdOptions.
Example: 1

Headers
string
required

The ID of your banking instance visible in the MBANQ Console.

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json